### Method

# EDataServer SourceProxy set_http_use_auth

since: 3.12

#### Declaration [src]

    void
    e_source_proxy_set_http_use_auth (
      ESourceProxy* extension,
      gboolean http_use_auth
    )

#### Description [src]

Sets whether the HTTP proxy server at `ESourceProxy:http-host` and `ESourceProxy:http-port` requires authentication.

The username/password combo is defined by `ESourceProxy:http-auth-user` and `ESourceProxy:http-auth-password`, but only applies when `extension`‘s `ESourceProxy:method` is `E_PROXY_METHOD_MANUAL`.

Available since: 3.12

Sets property | `EDataServer.SourceProxy:http-use-auth`

#### Parameters

`http_use_auth`

  Type: `gboolean`

  Whether to authenticate HTTP proxy connections.